PDA

View Full Version : AlienBBC/mplayer installation problem



Philip Meyer
2005-01-29, 04:48
When I try to run slim.exe --d_plugins, I get the following error:

2005-01-29 11:39:07.1807 Requiring Plugins::Alien::Plugin plugin.
Perl interpreter failed at /PerlApp/DynaLoader.pm line 232, <DATA> line 1.

I assume I've broken something by trying to copy the HTML stuff from ActivePerl into SlimServer, as per the instructions on the AlienBBC website. I've gone to get the latest nightly download to install over the top, but the windows version isn't there yet.

If I get the latest 5.4.1 and install over the top, will I need to copy any of the ActivePerl folders back over the SlimServer installation, or have they now been added to the build?

Also, Initially I copied all of the mplayer files and subfolders into P:\Music\SlimServer\server\Bin\MSWin32-x86-multi-thread. I'm not keen on dumping the files directly in there though (including the essential windows codec files), so I've moved the files into P:\Music\mPlayer. I assume that in order for Slim to find mplayer.exe, I'll need to add this folder to my system path - I assume that if I copy mplayer.exe to C:\Windows\System32, it wouldn't find the codecs?

Phil

Philip Meyer
2005-01-30, 01:44
> 2005-01-29 11:39:07.1807 Requiring Plugins::Alien::Plugin plugin.
> Perl interpreter failed at /PerlApp/DynaLoader.pm line 232, <DATA> line 1.
>
Following on from this problem, I installed the 29/01 nightly and still had this problem. I removed the alien folder from the plugin folder and slim starts up without errors.

Does the error give any indication as to what might be wrong? Is it something to do with the HTML or auto/HTML I would have copied into CPAN, or that it can't find mplayer?

I'd like to try Alien BBC, but getting nowhere fast!

Phil

Neil Sleightholm
2005-01-30, 03:52
Have you copied the HTML files from a full perl installation? See
http://www.mrtickle.org/alienbbc_beta.html for details, forth bullet
point in the Windows Version section.

Neil

Philip Meyer wrote:

> > 2005-01-29 11:39:07.1807 Requiring Plugins::Alien::Plugin plugin.
> > Perl interpreter failed at /PerlApp/DynaLoader.pm line 232, <DATA>
> line 1.
> >
> Following on from this problem, I installed the 29/01 nightly and
> still had this problem. I removed the alien folder from the plugin
> folder and slim starts up without errors.
>
> Does the error give any indication as to what might be wrong? Is it
> something to do with the HTML or auto/HTML I would have copied into
> CPAN, or that it can't find mplayer?
>
> I'd like to try Alien BBC, but getting nowhere fast!
>
> Phil

Philip Meyer
2005-01-30, 05:07
>Have you copied the HTML files from a full perl installation? See
>http://www.mrtickle.org/alienbbc_beta.html for details, forth bullet
>point in the Windows Version section.
>
Yes, I have ActivePerl 5.6, and copied the HTML and auto/HTML folders. I thought I recall reading that there were plans to make this part of the SlimServer installation, so I am wondering if this is still necessary with the latest nightly.

I just tried copying those folders again to make sure, and as soon as I place the alien plugin into my plugin folder, I get the error on startup.

I notice that ActivePerl is up to version 5.8, so I'm ging to try installing that.

Phil

Neil Sleightholm
2005-01-30, 09:07
The HTML support is only being added to V6 at the moment.

I copied the files from 5.8.6 to get mine to work. Instead of starting
the server with slim.exe try running from perl directly e.g. perl -w
slimserver.pl --d_plugins

This will load the HTML libs from you perl install rather than the slim
folders. It might give us some more clues as to what is going on.

Neil

Philip Meyer wrote:

> > Have you copied the HTML files from a full perl installation? See
> > http://www.mrtickle.org/alienbbc_beta.html for details, forth bullet
> > point in the Windows Version section.
> >
> Yes, I have ActivePerl 5.6, and copied the HTML and auto/HTML
> folders. I thought I recall reading that there were plans to make
> this part of the SlimServer installation, so I am wondering if this
> is still necessary with the latest nightly.
>
> I just tried copying those folders again to make sure, and as soon as
> I place the alien plugin into my plugin folder, I get the error on
> startup.
>
> I notice that ActivePerl is up to version 5.8, so I'm ging to try
> installing that.
>
> Phil

Neil Sleightholm
2005-01-30, 09:11
Update: I have just tried my install with slim.exe and I get the same
error (or should I say warning) but it doesn't matter as AlienBBC still
works!

Neil

Philip Meyer wrote:

> > Have you copied the HTML files from a full perl installation? See
> > http://www.mrtickle.org/alienbbc_beta.html for details, forth bullet
> > point in the Windows Version section.
> >
> Yes, I have ActivePerl 5.6, and copied the HTML and auto/HTML
> folders. I thought I recall reading that there were plans to make
> this part of the SlimServer installation, so I am wondering if this
> is still necessary with the latest nightly.
>
> I just tried copying those folders again to make sure, and as soon as
> I place the alien plugin into my plugin folder, I get the error on
> startup.
>
> I notice that ActivePerl is up to version 5.8, so I'm ging to try
> installing that.
>
> Phil

Philip Meyer
2005-01-30, 13:22
>I copied the files from 5.8.6 to get mine to work. Instead of starting
>the server with slim.exe try running from perl directly e.g. perl -w
>slimserver.pl --d_plugins
>
Running perl -w slimserver.pl --d_plugins returns:
Can't locate Time/HiRes.pm in @INC (@INC contains: P:/Music/SlimServer/server P:
\Music\SlimServer\server\CPAN P:\Music\SlimServer\server\CPAN\arch\5.6.1\MSWin32
-x86-multi-thread P:\Music\SlimServer\server\CPAN\arch\5.6\MSWin32-x86-multi-thr
ead P:\Music\SlimServer\server\CPAN\arch\MSWin32-x86-multi-thread P:/Programming
/Perl/lib P:/Programming/Perl/site/lib .) at slimserver.pl line 91.
BEGIN failed--compilation aborted at slimserver.pl line 91.

This happens whether I have the plugin installed or not, so I guess there's something wrong with my perl installation?

Phil

Philip Meyer
2005-01-30, 13:24
>Update: I have just tried my install with slim.exe and I get the same
>error (or should I say warning) but it doesn't matter as AlienBBC still
>works!
It's definitely an error in my situation. I can't start the service when I drop the "alien" folder into the plugin folder.

Phil